# GRIDXC helper mk
#
# In order to hide the structure of this hierarchy, this file
# will export the needed symbols for a client.
#
# All you need is to define GRIDXC_ROOT in your makefile
# to point to your installation of the gridxc library.
#
#----------------------------------------------------------
#
GRIDXC_USES_LIBXC=1
GRIDXC_USES_MPI=1
#
ifeq ($(GRIDXC_USES_MPI),1)
  $(info GRIDXC includes MPI support)
  GRIDXC_MPI_INCFLAGS= -I $(GRIDXC_ROOT)/include $(LIBXC_INCFLAGS)
  GRIDXC_MPI_LIBS=$(GRIDXC_ROOT)/lib/libGridXC.so $(LIBXC_LIBS)
endif
#
ifeq ($(GRIDXC_USES_LIBXC),1)
 $(info GRIDXC was compiled with libxc support)
 #
 ifndef LIBXC_ROOT
   $(error you need to define LIBXC_ROOT in your arch.make)
 endif
 #
 include $(GRIDXC_ROOT)/share/mk/libxc.mk
 #
else
 # 
 LIBXC_INCFLAGS=
 LIBXC_LIBS=
endif
#
GRIDXC_SERIAL_INCFLAGS= -I $(GRIDXC_ROOT)/include $(LIBXC_INCFLAGS)
GRIDXC_SERIAL_LIBS=$(GRIDXC_ROOT)/lib/libGridXC.so $(LIBXC_LIBS)
#
ifdef WITH_MPI
 ifneq ($(GRIDXC_USES_MPI),1)
   $(error GRIDXC was not compiled with MPI support)
 endif
 GRIDXC_LIBS = $(GRIDXC_MPI_LIBS)
 GRIDXC_INCFLAGS = $(GRIDXC_MPI_INCFLAGS)
else
 GRIDXC_LIBS = $(GRIDXC_SERIAL_LIBS)
 GRIDXC_INCFLAGS = $(GRIDXC_SERIAL_INCFLAGS)
endif
